## libflorist 2022.0.1~20220616

=== Makefile ===
# file: Makefile for POSIX 1003.5b Test Suite
# [$Revision$]
#
# This builds the test suite for POSIX 1003.5 and 1003.5b.
# This version is for use with the GNAT Ada compiler
# and the Florist implementation of POSIX 1003.5b.
#
.POSIX:
#
MASTERDIR=/part1/florist/tests
PAVT_VERSION=pavt-1.4.1
# The following definitions are for using the default installed GNAT
# runtime system.
GNATMAKEFLAGS1 = -I../libsrc -I../libsrc/threads -I../gensrc -aL../lib
#
GNATMAKEFLAGS2= -cargs -gnatay -gnatwu -largs -lflorist
GNATMAKEFLAGS2a= -cargs -largs -lflorist
GNATPREPFLAGS = -c -r
TOOLS =\
 renumber.adb\
 run_tests_1
DOCS =\
 README\
 NOTES.LINUX\
 NOTES.SOLARIS\
 NOTES
TEST_SOURCES = \
 posix_report.ads\
 posix_report.adb\
 test_parameters.ads\
 test_parameters.adb\
 p020400.adb\
 p020400.ads\
 p021000.adb\
 p021000.ads\
 p030100.adb\
 p030100.ads\
 p030100b.adb\
 p030100b.ads\
 p030101.adb\
 p030101.ads\
 p030101b.adb\
 p030101b.ads\
 p030102.adb\
 p030102.ads\
 p030200.adb\
 p030200.ads\
 p030300.adb\
 p030300.ads\
 p030300a.adb\
 p030300a.ads\
 p030301.adb\
 p030301.ads\
 p030301b.adb\
 p030301b.ads\
 p030303.adb\
 p030303.ads\
 p030304.adb\
 p030304.ads\
 p030305.adb\
 p030305.ads\
 p030306.adb\
 p030306.ads\
 p030306a.adb\
 p030306a.ads\
 p040100.adb\
 p040100.ads\
 p040101.adb\
 p040101.ads\
 p040300.adb\
 p040300.ads\
 p040301.adb\
 p040301.ads\
 p050100.adb\
 p050100.ads\
 p050200.adb\
 p050200.ads\
 p050300.adb\
 p050300.ads\
 p060100.adb\
 p060100.ads\
 p060200.adb\
 p060200.ads\
 p060300.adb\
 p060300.ads\
 p070200.adb\
 p070200.ads\
 p090100.adb\
 p090100.ads\
 p090200.adb\
 p090200.ads\
 p110100.adb\
 p110100.ads\
 p110101.adb\
 p110101.ads\
 p110200.adb\
 p110200.ads\
 p110201.adb\
 p110201.ads\
 p110300.adb\
 p110300.ads\
 p120100.adb\
 p120100.ads\
 p120101.adb\
 p120101.ads\
 p120200.adb\
 p120200.ads\
 p120300.adb\
 p120300.ads\
 p120400.adb\
 p120400.ads\
 p120500.adb\
 p120500.ads\
 p120501.adb\
 p120501.ads\
 p120502.adb\
 p120502.ads\
 p120502a.adb\
 p120502a.ads\
 p140100.adb\
 p140100.ads\
 p140101.adb\
 p140101.ads\
 p150100.adb\
 p150100.ads\
 p150100b.adb\
 p150100b.ads\
 p150101.adb\
 p150101.ads\
 p990000.adb\
 p990000.ads\
 p990001a.adb\
 p990001a.ads\
 p990001b.adb\
 p990001b.ads\
 p990001c.adb\
 p990001c.ads\
 p990002a.adb\
 p990002a.ads\
 p990002b.adb\
 p990002b.ads\
 p990002c.adb\
 p990002c.ads\
 p990002d.adb\
 p990002d.ads\
 p990003a.adb\
 p990003a.ads\
 p990003b.adb\
 p990003b.ads\
 p990010.adb\
 p990010.ads\
 p990010a.ads\
 p990020.adb\
 p990020.ads\
 p990020a.ads\
 p990030.adb\
 p990030.ads\
 p990030a.ads\
 p990040.adb\
 p990040.ads\
 p990040a.ads\
 p990040b.adb\
 p990040b.ads\
 p990050.adb\
 p990050.ads\
 p990050a.ads\
 p990050b.adb\
 p990050b.ads\
 p990060.adb\
 p990060.ads\
 p990060a.ads\
 p990070.adb\
 p990070.ads\
 p990070a.ads\
 p990080.adb\
 p990080.ads\
 p990080a.ads\
 p990090.adb\
 p990090.ads\
 p990090a.ads\
 p990011.adb\
 p990011.ads\
 p990011a.ads\
 p9900doc.ads\
 p9900x0.adb\
 p9900x0.ads
TESTS =\
 p021000\
 p030100\
 p030100b\
 p030101\
 p030101b\
 p030102\
 p030200\
 p030301\
 p030301b\
 p030303\
 p030304\
 p030305\
 p030306\
 p030306a\
 p040100\
 p040101\
 p040300\
 p040301\
 p050100\
 p050200\
 p050300\
 p060100\
 p060200\
 p060300\
 p070200\
 p090100\
 p090200\
 p110100\
 p110101\
 p110200\
 p110201\
 p110300\
 p120100\
 p120101\
 p120200\
 p120300\
 p120400\
 p120500\
 p120501\
 p120502\
 p120502a\
 p140101\
 p150100b\
 p150101
SPECIAL_TESTS=\
 p020400\
 p030300\
 p030300a\
 p140100\
 p150100\
 p990010\
 p990020\
 p990030\
 p990040\
 p990040b\
 p990050\
 p990050b\
 p990060\
 p990070\
 p990080\
 p990090\
 p990011
#
.SUFFIXES: .o .c
.c.o:
	gcc -c -g $<
#
tests: $(TESTS) $(SPECIAL_TESTS)
#
p020400:  p020400.ads p020400.adb
p021000:  p021000.ads p021000.adb
p030100:  p030100.ads p030100.adb p030100b
p030100b: p030100b.ads p030100b.adb
p030101:  p030101.ads p030101.adb
p030101b: p030101b.ads p030101b.adb
p030102:  p030102.ads p030102.adb p030101b
p030102b: p030102b.ads p030102b.adb
p030200:  p030200.ads p030200.adb
p030300:  p030300.ads p030300.adb p030300a.ads
p030300a: p030300a.ads p030300a.adb
p030301:  p030301.ads p030301.adb p030301b
p030301b: p030301b.ads p030301b.adb
p030303:  p030303.ads p030303.adb
p030304:  p030304.ads p030304.adb
p030305:  p030305.ads p030305.adb
p030306:  p030306.ads p030306.adb p030306a p030300a
p030306a: p030306a.ads p030306a.adb p030300a
p040100:  p040100.ads p040100.adb
p040101:  p040101.ads p040101.adb
p040300:  p040300.ads p040300.adb
p040301:  p040301.ads p040301.adb
p050100:  p050100.ads p050100.adb
p050200:  p050200.ads p050200.adb
p050300:  p050300.ads p050300.adb
p060100:  p060100.ads p060100.adb
p060200:  p060200.ads p060200.adb
p060300:  p060300.ads p060300.adb
p070200:  p070200.ads p070200.adb
p090100:  p090100.ads p090100.adb
p090200:  p090200.ads p090200.adb
p110100:  p110100.ads p110100.adb
p110101:  p110101.ads p110101.adb
p110200:  p110200.ads p110200.adb
p110201:  p110201.ads p110201.adb
p110300:  p110300.ads p110300.adb
p120100:  p120100.ads p120100.adb
p120101:  p120101.ads p120101.adb
p120200:  p120200.ads p120200.adb
p120300:  p120300.ads p120300.adb
p120400:  p120400.ads p120400.adb
p120500:  p120500.ads p120500.adb
p120501:  p120501.ads p120501.adb
p120502:  p120502.ads p120502.adb p120502a
p120502a: p120502a.ads p120502a.adb
p140100:  p140100.ads p140100.adb
p140101:  p140101.ads p140101.adb
p150100:  p150100.ads p150100.adb p150100b
p150100b: p150100b.ads p150100b.adb
p150101:  p150101.ads p150101.adb
p990010:  p990010.ads p990010.adb\
  p990010a.ads\
  p9900x0.ads p9900x0.adb\
  p990000.ads p990000.adb\
  p990001a.ads p990001a.adb\
  p990002a.ads p990002a.adb\
  p990003a.ads p990003a.adb
p990020:  p990020.ads p990020.adb\
  p990020a.ads\
  p9900x0.ads p9900x0.adb\
  p990000.ads p990000.adb\
  p990001b.ads p990001b.adb\
  p990002b.ads p990002b.adb\
  p990003a.ads p990003a.adb
p990030:  p990030.ads p990030.adb\
  p990030a.ads\
  p9900x0.ads p9900x0.adb\
  p990000.ads p990000.adb\
  p990001b.ads p990001b.adb\
  p990002c.ads p990002c.adb\
  p990003a.ads p990003a.adb
p990040:  p990040.ads p990040.adb p990040b\
  p990040a.ads\
  p9900x0.ads p9900x0.adb\
  p990000.ads p990000.adb\
  p990001c.ads p990001c.adb\
  p990002a.ads p990002a.adb\
  p990003b.ads p990003b.adb
p990040b:  p990040b.ads p990040b.adb\
  p990040a.ads\
  p9900x0.ads p9900x0.adb\
  p990000.ads p990000.adb\
  p990001c.ads p990001c.adb\
  p990002a.ads p990002a.adb\
  p990003b.ads p990003b.adb
p990050:  p990050.ads p990050.adb p990050b\
  p990050a.ads\
  p9900x0.ads p9900x0.adb\
  p990000.ads p990000.adb\
  p990001c.ads p990001c.adb\
  p990002d.ads p990002d.adb\
  p990003b.ads p990003b.adb
p990050b:  p990050b.ads p990050b.adb\
  p990050a.ads\
  p9900x0.ads p9900x0.adb\
  p990000.ads p990000.adb\
  p990001c.ads p990001c.adb\
  p990002d.ads p990002d.adb\
  p990003b.ads p990003b.adb
p990060:  p990060.ads p990060.adb\
  p990060a.ads\
  p9900x0.ads p9900x0.adb\
  p990000.ads p990000.adb\
  p990001b.ads p990001b.adb\
  p990002a.ads p990002a.adb\
  p990003a.ads p990003a.adb
p990070:  p990070.ads p990070.adb\
  p990070a.ads\
  p9900x0.ads p9900x0.adb\
  p990000.ads p990000.adb\
  p990001c.ads p990001c.adb\
  p990002a.ads p990002a.adb\
  p990003a.ads p990003a.adb
p990080:  p990080.ads p990080.adb\
  p990080a.ads\
  p9900x0.ads p9900x0.adb\
  p990000.ads p990000.adb\
  p990001a.ads p990001a.adb\
  p990002d.ads p990002d.adb\
  p990003a.ads p990003a.adb
p990090:  p990090.ads p990090.adb\
  p990090a.ads\
  p9900x0.ads p9900x0.adb\
  p990000.ads p990000.adb\
  p990001a.ads p990001a.adb\
  p990002b.ads p990002b.adb\
  p990003a.ads p990003a.adb
p990011:  p990011.ads p990011.adb\
  p990090a.ads\
  p9900x0.ads p9900x0.adb\
  p990000.ads p990000.adb\
  p990001a.ads p990001a.adb\
  p990002c.ads p990002c.adb\
  p990003a.ads p990003a.adb
testit: testit.adb

$(TESTS) testit:  posix_report.ads posix_report.adb\
  ../lib/libflorist.a test_parameters.adb
	gnatmake  $(GNATMAKEFLAGS1) $@ $(GNATMAKEFLAGS2)
#
# Due to zealousness of the "-gnaty" style-checker,
# the following tests need to be compiled without "-gnaty".
#
$(SPECIAL_TESTS):  posix_report.ads posix_report.adb\
  ../lib/libflorist.a test_parameters.adb
	gnatmake  $(GNATMAKEFLAGS1) $@ $(GNATMAKEFLAGS2a)
#
# Make a separate directory in which to run the tests,
# so we have less chance of a wild test trashing our sources.
#
test.dir:
	mkdir test.dir
	ln -s .. test.dir/bin
#
# Compile all the tests
#
# Run all the tests
# Some tests require that the standard error file be a terminal.
run_tests: $(TESTS) $(SPECIAL_TESTS) test.dir
	-cd test.dir; ../run_tests_1 >> run_tests_1.log
#
# -----------------------------------
# Maintenance targets.
# -----------------------------------
#
# remove editor and compiler generated files
clean:
	rm -f *.o *.ali a.out *# *~ $(LITTER) $(TESTS)\
 $(SPECIAL_TESTS) b~*.ad* b_*.c *.log
	touch florist
# remove all generated files
realclean:
	rm -f *.o *.ali $(TESTS) $(SPECIAL_TESTS) \
             a.out *# *~ b~*.ad* b_*.c $(GENERATED) $(LITTER)
#
# The following targets are only for use by the implementors.
#
# check all sources into RCS directory
# and remove everything except "Makefile"
distclean:
	rm -f *.o *.ali $(TESTS) $(SPECIAL_TESTS) \
          a.out *# *~ b~*.ad* b_*.c $(GENERATED) $(LITTER)
	rm -rf test.dir
	-ci -m"make distclean" $(TEST_SOURCES) $(TOOLS) Makefile $(DOCS)
	-co Makefile
# check out all sources, ready for editing
neat:
	-co -l $(TEST_SOURCES) $(TOOLS) $(DOCS)
	-co -l Makefile
# check out all sources, read-only
checkallout:
	-co $(TEST_SOURCES) $(TOOLS) $(DOCS)
	-co Makefile
	rm -f $(GENERATED)
# make tarfile of just the POSIX.5b validation tests
distribution: make_test_links
	rm -f ${PAVT_VERSION}.tar.gz
	./make_test_links ./${PAVT_VERSION} $(MASTERDIR)
	tar cvhf ${PAVT_VERSION}.tar ${PAVT_VERSION}
	gzip ${PAVT_VERSION}.tar
rts: s-interr.adb s-intman.adb s-inmaop.adb
	gnatmake  -a $(GNATMAKEFLAGS1) dummy $(GNATMAKEFLAGS2a)

=== xti/Makefile ===
include ../../Config

GNATMAKEFLAGS = -c -gnatg -largs -L$(FLORISTLIBSDIR) $(LIBS)
GNATMAKEFLAGS2 = -largs -L$(FLORISTLIBSDIR) $(LIBS)

TEST_FILES=\
 test_tcp_listen.adb\
 test_tcp_connect.adb

TESTS=\
 test_tcp_listen\
 test_tcp_connect
   
all: $(TESTS)

tcp: test_tcp_listen test_tcp_connect

$(TESTS): $(TEST_FILES) $(POSIX_FILES)
	gnatmake $@ $(GNATMAKEFLAGS2)

neat:
	co -l RCS/*

clean:
	rm -f *.o *.ali test_tcp_connect test_tcp_listen

=== debian/changelog ===
libflorist (2022.0.1~20220616-3) unstable; urgency=medium

  * Break/Replace libflorist*-dev since oldstable. Closes: #1035006 .

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 10 May 2023 22:44:10 +0200

libflorist (2022.0.1~20220616-2) unstable; urgency=medium

  * Reupload to unstable for the gnat-12 transition.
  * Standards-Version: 4.6.2 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 27 Dec 2022 01:07:57 +0100

libflorist (2022.0.1~20220616-1) experimental; urgency=medium

  * Build new snapshot with gcc/12 for experimental.
    Rename -dev package accordingly.
  * Install with gprinstall and dh-ada-librar/8.1.
  * Stop build-depending on unversioned gnat.
  * Standards-Versions 4.6.1.
  * Refresh patches and forward changes

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 12 Sep 2022 08:51:35 +0000

=== debian/control ===
Source: libflorist
Section: libdevel
Priority: optional
Maintainer: Ludovic Brenta <lbrenta@debian.org>
Uploaders: Nicolas Boulenguez <nicolas@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 gnat-12,
 dh-ada-library (>= 8.1),
 dh-sequence-ada-library,
 gprbuild (>= 2015-2)
# 2015-2 handles gnat-6
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/libflorist
Vcs-Git: https://salsa.debian.org/debian/libflorist.git
Homepage: https://github.com/AdaCore/florist

Package: libflorist2022-dev
Breaks: libflorist2018-dev, libflorist2019-dev, libflorist2020-dev, libflorist2021-dev
Replaces: libflorist2018-dev, libflorist2019-dev, libflorist2020-dev, libflorist2021-dev
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends}
Description: POSIX.5 Ada interface to operating system services: development
 FLORIST is an implementation of the IEEE Standards 1003.5: 1992, IEEE
 STD 1003.5b: 1996, and parts of IEEE STD 1003.5c: 1998, also known as
 the POSIX Ada Bindings.  Using this library, you can call operating
 system services from within Ada programs.
 .
 No one seems to maintain this library anymore.
 For new packages, please consider other solutions.
 .
 This package contains the development files and unstripped static
 library.

Package: libflorist2021
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: POSIX.5 Ada interface to operating system services: shared library
 FLORIST is an implementation of the IEEE Standards 1003.5: 1992, IEEE
 STD 1003.5b: 1996, and parts of IEEE STD 1003.5c: 1998, also known as
 the POSIX Ada Bindings.  Using this library, you can call operating
 system services from within Ada programs.
 .
 No one seems to maintain this library anymore.
 For new packages, please consider other solutions.
 .
 This package contains the run-time shared library.

=== debian/rules ===
#!/usr/bin/make -f

# Copyright (c) 2003-2014 Ludovic Brenta <lbrenta@debian.org>
# Copyright (c) 2014-2022 Nicolas Boulenguez <nicolas@debian.org>

# This build script is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 3 of the
# License, or (at your option) any later version.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

# On Debian systems, the full text of the GPL is in the file
# /usr/share/common-licenses/GPL-3.

######################
# Set some variables #
######################

DPKG_EXPORT_BUILDFLAGS := 1
DEB_CFLAGS_MAINT_APPEND := -w
DEB_ADAFLAGS_MAINT_APPEND := -gnatVa -gnatafno
DEB_LDFLAGS_MAINT_APPEND := \
  -Wl,--no-allow-shlib-undefined \
  -Wl,--no-copy-dt-needed-entries \
  -Wl,--no-undefined
DEB_BUILD_MAINT_OPTIONS := hardening=+all
include /usr/share/dpkg/buildflags.mk
include /usr/share/ada/packaging.mk

export florist_shared_object_version := $(florist_SO_VERSION)

%:
	dh $@

# Disable autoheader, upstream maintains the macros manually.
.PHONY: override_dh_autoreconf
override_dh_autoreconf:
	AUTOHEADER=true dh_autoreconf

.PHONY: $(addprefix override_dh_auto_, configure build test install)
# dh_auto_clean is OK.

override_dh_auto_configure:
	dh_auto_configure -- CC=gcc-$(DEB_GNAT_VERSION) --enable-shared

override_dh_auto_build:
 # dh_auto_build would pass -jN and interfer with gprbuild
	$(MAKE) 'GPRBUILD=gprbuild $(GPRBUILDFLAGS)'

override_dh_auto_install:
	gprinstall florist.gpr -XLIBRARY_TYPE=static $(static_GPRINSTALLFLAGS)
	gprinstall florist.gpr -XLIBRARY_TYPE=relocatable \
	  $(call shared_GPRINSTALLFLAGS,florist)

## libflorist 2025.1.0

=== tests/sockets/Makefile ===
include ../../Config

GNATMAKEFLAGS1 = -g -I../../floristlib -L../../floristlib
GNATMAKEFLAGS2= -cargs -gnatay -gnatwue -largs -lresolv -lflorist

TEST_FILES=\
 p180400.adb\
 p180401.adb\
 p180402.adb\
 p180402a.adb\
 p180402b.adb\
 p180402c.adb\
 p180402d.adb\
 pdd0100.adb\
 test_tcp_listen.adb\
 test_tcp_talk.adb\
 test_addrinfo.adb\
 test_database.adb\
 test_local_listen.adb\
 test_local_ltime.adb\
 test_local_talk.adb\
 test_local_ttime.adb\
 test_poll_listen.adb\
 test_select_listen.adb\
 test_tcp_ltime.adb\
 test_tcp_options.adb\
 test_tcp_ttime.adb\
 test_udp_listen.adb\
 test_udp_options.adb\
 test_udp_talk.adb
TESTS=\
 p180400\
 p180401\
 p180402\
 p180402a\
 p180402b\
 p180402c\
 p180402d\
 pdd0100\
 test_tcp_listen\
 test_tcp_talk\
 test_addrinfo\
 test_database\
 test_local_listen\
 test_local_ltime\
 test_local_talk\
 test_local_ttime\
 test_poll_listen\
 test_select_listen\
 test_tcp_ltime\
 test_tcp_options\
 test_tcp_ttime\
 test_udp_listen\
 test_udp_options\
 test_udp_talk

all: $(TESTS)
posix_report.ads:
	ln -s ../posix_report.ads
posix_report.adb:
	ln -s ../posix_report.adb
test_parameters.ads:
#	ln -s ../test_parameters.ads
test_parameters.adb:
#	ln -s ../test_parameters.adb
p180400: p180400.adb
p180401: p180401.adb
p180402: p180402.adb
p180402a: p180402a.adb
p180402b: p180402b.adb
p180402c: p180402c.adb
p180402d: p180402d.adb
pdd0100: pdd0100.adb test_parameters.adb
test_tcp_listen: test_tcp_listen.adb
test_tcp_talk: test_tcp_talk.adb
test_addrinfo: test_addrinfo.adb
test_database: test_database.adb
test_local_listen: test_local_listen.adb
test_local_ltime: test_local_ltime.adb
test_local_talk: test_local_talk.adb
test_local_ttime: test_local_ttime.adb
test_poll_listen: test_poll_listen.adb
test_select_listen: test_select_listen.adb
test_tcp_ltime: test_tcp_ltime.adb
test_tcp_options: test_tcp_options.adb
test_tcp_ttime: test_tcp_ttime.adb
test_udp_listen: test_udp_listen.adb
test_udp_options: test_udp_options.adb
test_udp_tal: test_udp_tal.adb
tcp: test_tcp_listen test_tcp_talk

$(TESTS):  posix_report.ads posix_report.adb\
  ../../floristlib/libflorist.a test_parameters.ads test_parameters.adb
	gnatmake  $(GNATMAKEFLAGS1) $@ $(GNATMAKEFLAGS2)
clean:
	rm -f *.o *.ali $(TESTS)

=== tests/xti/Makefile ===
include ../../Config

GNATMAKEFLAGS = -c -gnatg -largs -L$(FLORISTLIBSDIR) $(LIBS)
GNATMAKEFLAGS2 = -largs -L$(FLORISTLIBSDIR) $(LIBS)

TEST_FILES=\
 test_tcp_listen.adb\
 test_tcp_connect.adb

TESTS=\
 test_tcp_listen\
 test_tcp_connect

all: $(TESTS)

tcp: test_tcp_listen test_tcp_connect

$(TESTS): $(TEST_FILES) $(POSIX_FILES)
	gnatmake $@ $(GNATMAKEFLAGS2)

neat:
	co -l RCS/*

clean:
	rm -f *.o *.ali test_tcp_connect test_tcp_listen

=== debian/changelog ===
libflorist (2025.1.0-2build1) questing; urgency=medium

  * No-change rebuild for gnat ABI, triggered by glibc 2.42.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 21 Sep 2025 07:46:28 +0200

libflorist (2025.1.0-2) unstable; urgency=medium

  * Reupload to unstable for the gnat-14 transition.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 10 Mar 2025 21:57:55 +0100

libflorist (2025.1.0-1) experimental; urgency=medium

  * New upstream snapshot (d28d09a6 in branch 25.1) built with gnat-14.
  * Fix (upstream/metadata) and use (gbp.conf) upstream VCS.
  * Enable salsa continuous integration via salsa-ci.yml.
  * Update copyright years.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 02 Jan 2025 15:49:05 +0000

libflorist (2022.0.1~20220616-6) unstable; urgency=medium

  * Standards-Version 4.7.0 (no changes).
  * Let libflorist-dev depend on libnsl-dev.  Closes: #1067945.
  * Improve clean target.
  * Tolerate distinct suseconds_t and timeval.tv_usec.  Closes: #1067223.

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 03 May 2024 12:26:59 +0000

libflorist (2022.0.1~20220616-5) unstable; urgency=medium

  * Reupload to unstable for the gnat-13/time_t64 transition.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 17 Mar 2024 18:19:42 +0100

libflorist (2022.0.1~20220616-4) experimental; urgency=medium

  * Upload to experimental because of the following transitions.
  * Build with gnat-13.  Rename library package with new SOversion.
  * Build with dh-ada-library/9. Remove version from -dev package name.
    Provide a name containing a hash.
    Build-Depend: gnat instead of gnat-13. Break/Replace previous -devs.
  * Use explicit debian/PACKAGE.docs files and test
    dependencies now that the -dev package is unversioned.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 03 Jan 2024 00:16:59 +0000

=== debian/control ===
--- 
+++ 
@@ -5,22 +5,26 @@
 Uploaders: Nicolas Boulenguez <nicolas@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- gnat-12,
- dh-ada-library (>= 8.1),
+ dh-ada-library (>= 9.1),
  dh-sequence-ada-library,
- gprbuild (>= 2015-2)
-# 2015-2 handles gnat-6
-Standards-Version: 4.6.2
+ gnat,
+ gnat-14,
+ gprbuild (>= 2025.0.0-2)
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/libflorist
 Vcs-Git: https://salsa.debian.org/debian/libflorist.git
 Homepage: https://github.com/AdaCore/florist
 
-Package: libflorist2022-dev
-Breaks: libflorist2018-dev, libflorist2019-dev, libflorist2020-dev, libflorist2021-dev
-Replaces: libflorist2018-dev, libflorist2019-dev, libflorist2020-dev, libflorist2021-dev
+Package: libflorist-dev
+Breaks: libflorist2018-dev, libflorist2019-dev, libflorist2020-dev,
+ libflorist2021-dev, libflorist2022-dev
+Replaces: libflorist2018-dev, libflorist2019-dev, libflorist2020-dev,
+ libflorist2021-dev, libflorist2022-dev
+Provides: ${ada:Provides}
 Architecture: any
-Depends: ${misc:Depends}, ${ada:Depends}
+Depends: ${misc:Depends}, ${ada:Depends},
+ libnsl-dev,
 Description: POSIX.5 Ada interface to operating system services: development
  FLORIST is an implementation of the IEEE Standards 1003.5: 1992, IEEE
  STD 1003.5b: 1996, and parts of IEEE STD 1003.5c: 1998, also known as
@@ -33,7 +37,7 @@
  This package contains the development files and unstripped static
  library.
 
-Package: libflorist2021
+Package: libflorist2021.1
 Section: libs
 Architecture: any
 Multi-Arch: same

=== debian/tests/control ===
Tests: link-with-shared
Depends: gprbuild, libflorist-dev

=== debian/watch ===
version=4

# The Debian version starts with 20 for historical reasons.
options=uversionmangle=s/^/20/ \
https://github.com/AdaCore/florist/tags \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz
